Translation(s): English - Français - Italiano - Русский


LibreOffice Logo - by Christoph Noack (CC BY-SA)

LibreOffice est une suite bureautique libre, disponible sur de nombreux système d'exploitation, qui remplace quasiment parfaitement Microsoft Office. C'est un « fork » de OpenOffice 3.3.0 qui a gagné du terrain dans les distributions Linux comme suite bureautique par défaut. Il a remplacé OpenOffice depuis Debian Wheezy et est la suite bureautique par défaut sur toutes les versions actuelles de Debian. Il gère bien les fichiers .docx .xlsx, .odt, .ods et autres formats répandus.

Comment installer LibreOffice

LibreOffice est la suite bureautique par défaut depuis Debian Wheezy. Vous pouvez également l'installer manuellement avec les paquets suivants :

Paquets

Notes

libreoffice

Il s'agit du métapaquet libreoffice. Il installe automatiquement tous les paquets et dépendances nécessaires pour obtenir une suite LibreOffice pleinement fonctionnelle et incluant ses composants majeurs tels que libreoffice-writer, libreoffice-calc, libreoffice-impress, libreoffice-math, libreoffice-draw, libreoffice-base.

libreoffice-gnome

Pour l'intégration à GNOME (optionnelle).

libreoffice-kde5

Pour l'intégration KDE (optionnelle).

Pour installer la suite LibreOffice complète, exécutez la commande :

# apt update
# apt install libreoffice

Obtenir la dernière version de LibreOffice

# apt install -t buster-backports libreoffice

Environnement Java

Certaines composantes de LibreOffice ont besoin d'un environnement Java pour atteindre une parfaite fonctionnalité. Le méta-paquet de LibreOffice recommande default-jre qui installe openjdk-7-jre. Le métapaquet LibreOffice recommande default-jre qui installe la version Java recommandée pour votre version de Debian. Cela ne devrait nécessiter aucune configuration supplémentaire, mais si vous souhaitez installer manuellement Java et configurer LibreOffice pour cela :

Fonctions étendues

On peut étendre les fonctions de LibreOffice en installant ces paquets :

Corriger une apparence médiocre de LibreOffice

Vous devez d'abord vous assurer que le paquet de thème approprié est installé. Sur KDE Plasma 5, installez libreoffice-kde5. Sur GNOME 3, installez libreoffice-gnome. Sur d'autres bureaux basés sur GTK, installez libreoffice-gtk3.

LibreOffice essaiera de détecter automatiquement votre bureau et utilisera le plug-in de thème le plus approprié en fonction de cela, mais vous pouvez également le forcer en définissant la variable d'environnement SAL_USE_VCLPLUGIN. Les options disponibles sont kf5 (Qt5 avec intégration KDE), gtk3_kde5 (GTK3 avec les sélecteurs de fichiers KDE), et gtk3.

Par exemple, si vous souhaitez utiliser LibreOffice avec son greffon de theme KF5, vous devez exécuter :

SAL_USE_VCLPLUGIN=kf5 libreoffice

Un greffon générique Qt5 est disponible dans le paquet libreoffice-qt5. Cependant, il est expérimental et pas encore considéré prêt pour être utilisable en production, car il peut introduire des problème qui ne se manifestent avec aucun autre greffon de theme. De ce fait, il est recommandé d'utiliser soit KF5, soit d'exécuter LibreOffice avec le jeu de variable d'environnement SAL_VCL_QT5_USE_CAIRO=1 qui le forcera à utiliser le même chemin de rendu Cairo que le greffon KF5 :

SAL_USE_VCLPLUGIN=qt5 SAL_VCL_QT5_USE_CAIRO=1 libreoffice


Si vous avez des polices plus grandes ou plus petites dans la barre d'outils, vous pouvez le corriger en activant l'option de démarrage rapide :

Pour GNOME :

echo 'export OOO_FORCE_DESKTOP=gnome libreoffice --quickstart --nologo --nodefault ~/.config/autostart/'
chmod +x ~/.config/autostart/

Pour KDE :

echo 'export OOO_FORCE_DESKTOP=kde libreoffice --quickstart --nologo --nodefault ~/.kde/Autostart/lo.sh'
chmod +x ~/.kde/Autostart/lo.sh

Corriger des problèmes d'interopérabilité

Voir Remplacer les polices Calibri et Cambria.

Lanceurs

Correction de l'export PDF vierge

Symptômes :

Cela peut être dû à l’utilisation du VCL (module d’intégration de bureau LibreOffice) incorrecte pour l’environnement de bureau, telle que « qt5 » au lieu de « kf5 ». Oui, étonnamment l’export PDF dépend de la VCL.

Le VCL actuel est affiché dans la boite de dialogue Aide > À propos de LibreOffice. Habituellement, LibreOffice choisira le VCL approprié à condition que le paquet requis soit installé, tel que libreoffice-kde5. Sinon, il peut être forcé avec la variable d'environnement SAL_USE_VCLPLUGIN.

Contrôle à distance

Impress peut être commandé à distance par un appareil sous Android grâce à l'application Impress Remote disponible sur http://www.f-droid.org. Cette application interagit avec votre présentation et permet l’aperçu des diapositives, la lecture des notes du présentateur, le démarrage ou la pause de la présentation et le réglage de programmateurs. La connexion s'établit par Bluetooth ou réseau local sans fil.

Liens externes